OF installation on OSX 10.6.8 XCODE 3.2

Hi, I´m Mateo from Argentina.
I´m trying to install OF on an old Macbook with 10.6.8 OSX. I have installed a 3.2.6 version of Xcode from a dmg that I have download from the official developer site of apple: http://adcdownload.apple.com/Developer_Tools/xcode_3.2.6_and_ios_sdk_4.3__final/xcode_3.2.6_and_ios_sdk_4.3.dmg

Following the setup guide of xcode here I´ve tried to install the command line tools, without success, this is what I get:
xcode-select -install
Usage: xcode-select -print-path
or: xcode-select -switch
or: xcode-select -version
Arguments:
-print-path Prints the path of the current Xcode folder
-switch Sets the path for the current Xcode folder
-version Prints xcode-select version information

Then, when I try to compile the 3DPrimitivesExample it gives me 2 errors and 117 warnings, these are the errors:

“_BeginUpdate”, referenced from:

SeqGrabberModalFilterUPP(OpaqueDialogPtr*, EventRecord const*, short*, long)in openFrameworksDebug.a(ofQtUtils.o)
“_EndUpdate”, referenced from:

SeqGrabberModalFilterUPP(OpaqueDialogPtr*, EventRecord const*, short*, long)in openFrameworksDebug.a(ofQtUtils.o)
ld: symbol(s) not found

collect2: ld returned 1 exit status

WHAT can I Do??? Thanks, Thanks a lot in advance.

Salud!!!